初心者プログラマがガチムチプログラマを目指すぶろぐ

2017年の春から本格的にプログラミングを学び始めた学生です!よろしければ閲覧、ご指導のほどよろしくお願いいたします!!

昔のgitがやばいらしかったからupdateしたわ

Gitの脆弱性 ( CVE-2017-1000117 )対策 | 東京エンジニア

gitがやばいらしい

どうやら昔のgitに脆弱性が見つかったらしい。さすがに脆いギットとか怖すぎて使ってられないからupdateすることにした。

homebrewでgit

デフォルトのgitを使っていたが、updateしたり管理したりするのにhomebrewのgitを使った方が楽らしいから再インストールすることにした。

$ brew install git

これでいけるのかと思いきや、どうやらhomebrewの方のgitにpathが通っていないっぽい。ということで.zshrcを開いて毎度のごとくpathを通す

export PATH="/usr/local/bin:$PATH"

これで確認したら

$ git --version
git version 2.14.1

オッケーっぽい! 脆弱性についてはあんまり調べてないけどとりあえずこれでオッケなのかな?笑